DCMTK - Feature #142

new dcmpstat application "dcmmkovl”
2000-02-09 00:00 - Marco Eichelberg

Status: New Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: Application Estimated time: 0:00 hour

Target version:
Module: dcmpstat Compiler:

Operating System:

Description

Right now we have applications to create LUTs and Curves of any kind,
but not Overlays. One could develop a tool that reads one PBM bitmap
and adds it to an existing DICOM image.

Options:
—-—embed-data embed overlay into Pixel Data element
—--standalone-data create separate Overlay Data element (default)
—-—group 0..15 select repeating group; old repeating group is removed (should we have an

auto mode?)

—--origin x y define origin for overlay (default: 1\1 or 0\0?)
-—type select OverlayType (G,R,...)
——-bits-allocated (standalone only:) define bits allocated for OverlayData. Default 1
—-—-bit-position bit position in OverlayData or PixelData element. Default: automatic
——OW (standalone only) write as OW (default)
——-0OB (standalone only) write as OB
—--standalone ignore input file, write Standalone Overlay SOP Class.
History

#1 - 2013-09-12 22:06 - J6rg Riesmeier
- Category set to Application
